Page MenuHomePhabricator

Reset 2 Factor Authentication for twotwo2019@kowiki
Closed, ResolvedPublic

Description

@Twotwo2019 has told me he changed his phone due to screen failure, and he has no access to scratch codes.

As per the Reset password docs in Wikitech, I have met him numerous times in offline meetup and I'm willing to vouch for him. He indicated he is willing to make a video call.

Please note that we are both in UTC+9 timezone.

Event Timeline

revi created this task.Nov 14 2017, 10:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2017, 10:05 AM
jrbs moved this task from Backlog to Support on the Trust-and-Safety board.Nov 14 2017, 7:23 PM
jrbs added a comment.Nov 15 2017, 11:37 PM

@revi I've emailed this as well but it would be good if you could call him just to fully confirm.

revi added a comment.Nov 16 2017, 12:21 AM

Strictly speaking I didn’t made a call but asked him to produce an audio file with ‘his ID/today’s date/the statement he lost 2FA&scratch code’, and it was genuine voice, as far as I can recognise.

(Email sent too, but for audit trail)

jrbs closed this task as Resolved.Nov 16 2017, 12:31 AM
jrbs claimed this task.

Thanks @revi - we (SuSa) feel pretty confident that we can do this. I've removed 2FA from his account. :)

I would recommend also that he add an email address to the account too, which would provide another method for verification.

Mentioned in SAL (#wikimedia-operations) [2017-11-16T00:59:31Z] <tzatziki> Removing 2FA from Twotwo2019 (T180438)

revi added a comment.Nov 16 2017, 4:32 AM

BTW, he has email on his account.(F10817740) Email stuff is not documented so I thought there was no such thing?